Subject: Re: bug#14416: cut -c --output-delimiter stops inserting delimiters : bug?

From: Pádraig Brady <[email-masked]>
Date: Fri, 17 May 2013 17:50:29 +0100

tag 14416 notabug
close 14416
stop

On 05/17/2013 02:33 PM, Konstantin Weber wrote:
> Hello,
> 
> today I received a large text file with fixed-length data fields to import them into our databases.
> I used the mighty cut but had to discover that it stops inserting output-delimiters when there are a lot of ranges.
> 
> My prompt was:
> cut -b30-34,37-41,53-82,83-112,113-142,143-148,153-182,233-262,263-292,293-322,323-327,233-352 --output-delimiter=";" GER0506.dat > GER0506_true.csv

You typoed it.
s/233-352/328-352/

Or if you expected that to duplicate part of the line to a new field,
cut doesn't support that, and I suggest you preprocess first if you want that.

cheers,
Pádraig.